| Auteur |
Message |
|
pingwin
|
#0 Message posté le : 19-06-2007 à 17:12:05 |
Petit scarabée
Forum : Inscrit
Association :
Arrivé(e) le : 15-06-2006
Nombre de messages : 60
|
Bonjour!
J'ai sur mon réseau local deux ordinateurs:
Le premier, sous Linux Ubuntu 6.10 (192.168.1.2)
Le second sous Windows XP (192.168.1.3)
Entre les deux, un routeur Tecom AH4222 ( Clubinternet.box).
Voulant contrôler le premier ordinateur à partir du second et vice et versa, j'ai donc installé les paquetages suivant
sur Ubuntu: vncserver, vncommand, vnc-java, vnc-common, libvncauth0, gnome-rdp
Sur Windows, j'ai installé l'intégralité de realVNC (soit VNCserver et VNCviewer)
Là, je démarre les serveurs VNC sur les deux ordinateurs, active la fonction web java et ouvre un navigateur internet sur le premier ordinateur en tapant http://192.168.1.3:5800 Sans résultat ( time out)
de même à partir du second ordinateur avec http://192.168.1.2:5800.
J'essaye alors d'utiliser vncviewer ( dans les deux sens), sans aucun résultat. ( time out)
J'ai sûrement oublié une étape quelque part.
Pourriez-vous m'aider?
Merci d'avance! |
| |
|
|
Azollyx
|
#1 Message posté le : 19-06-2007 à 17:49:18 |
Hobbit
Forum : Modérateur
Association : Président
Arrivé(e) le : 09-04-2006
Nombre de messages : 1999
|
Essaye de te connecter à ton propre serveur local.
Attention, cela va ouvrir la fenêtre vncviewer en abîme... prévoit de devoir la tuer (killall vncviewer) depuis un terminal non-X ([ctrl]+[alt]+[f2] par exemple).
------------------------------------- Cherche distributeur manuel/automatique de câlins femelle pour mise en réseau rapprochée.
Nota : je préfèrerais un modèle bien documenté. |
| |
|
|
pingwin
|
#2 Message posté le : 19-06-2007 à 20:01:16 |
Petit scarabée
Forum : Inscrit
Association :
Arrivé(e) le : 15-06-2006
Nombre de messages : 60
|
Bonjour! J'ai réussi, après avoir combattu des fonts not found, des rgb_db error, à ouvrir une session vnc du premier pc avec le second.
Seul problème: Je suis devant un écran bleu foncé. Pas de WM. Rien. Voici, ( si ça peut aider) différents fichier de config:
/home/user/.vnc/xstartup:
!/bin/sh
# Uncomment the following two lines for normal desktop:
unset SESSION_MANAGER
exec /etc/X11/xinit/xinitrc
[ -x /etc/vnc/xstartup ] && exec /etc/vnc/xstartup
[ -r $HOME/.Xresources ] && xrdb $HOME/.Xresources
xsetroot -solid grey
vncconfig -iconic &
xterm -geometry 80x24+10+10 -ls -title "$VNCDESKTOP Desktop" &
twm &
/etc/vnc.conf:
# /etc/vnc.conf written by Marcus Brinkmann. This file is in the Public Domain.
#
# This is the configuration file for the vncserver package.
# It is perl syntax, but only variable assignment is allowed.
# A semicolon will be added if missing.
# Every value has suitable defaults, so you probably don't need any file.
#
# This file will be sourced by `vncserver' and `vncpasswd'.
# After this file, $(HOME)/.vncrc will be sourced, so values can be
# overwritten on a per-user basis. If you want to reactivate the default
# value there, you have to specify an empty value. For example, $fontPath
# will set to the default value after
#
# $fontPath = "";
#
# If you are missing something, please let me know.
# Marcus.Brinkmann@ruhr-uni-bochum.de
# System configuration
# --------------------
#
# This section contains entries that should be true for all users.
# $vncClasses should be the path to the java classes of server.
$vncClasses = "/usr/share/vncserver";
# $XFConfigPath can be set to the global XF86Config file. This will be
# parsed to gain default values for $fontPath and $colorPath.
# If you want to disable this feature, point it to an
# invalid file, "/foo" for example.
$XFConfigPath = "/etc/X11/xorg.conf";
# $fontPath should be a comma seperated list of fonts to be added to the font
# path. If not specified, and $XFConfigPath is valid, vncserver
# will read the $fontPath from there. If both are not set, the
# default will apply.
# Example: $fontPath = "tcp/localhost:7100"; # would make vnc to use xfs.
# Example: $fontPath = "";
#$fontPath = "/usr/share/fonts/X11/75dpi,";
#$fontPath = "/usr/share/X11/fonts/100dpi,";
#$fontPath = "/usr/share/fonts/X11/misc,";
#$fontPath = "/usr/share/fonts/X11/Type1,";
# $fontPath .= "/usr/X11R6/lib/X11/fonts/sharefont/";
# I don't know what the default is, though.
# $colorPath should be the RGB file to be used by X. This can also be taken from
# XF86Config file if specified by $XFConfigPath
# $colorPath = "/usr/X11R6/lib/X11/rgb";
# User configuration
# ------------------
#
# This section contains entries that may change from user to user.
# $vncUserDir contains the filename for the log files directory of Xvnc
# (the server) and the viewers that are connected to it.
$vncUserDir = "$ENV{HOME}/.vnc";
# $vncPasswdFile contains the filename of the password file for Xvnc.
$vncPasswdFile = $vncUserDir . "/passwd";
# $vncStartup points to a script that will be started at the very beginning.
$vncStartup = "~/.vnc/xstartup";
# $xauthorityFile should be the path to the authority file that should be used
# by your vnc X server.
$xauthorityFile = "$ENV{HOME}/.Xauthority";
# $defaultDesktopName should be set to the default name of the desktop.
# This can be changed at the command line with -name.
$defaultDesktopName = "X";
# $geometry sets framebuffer width & height. Default will be calculated if
# server is started from within a running X servers. Can be changed at
# the commandline (-geometry). A fixed default will be used if
# vncserver is not invoked in a running X session.
Example: $geometry ="800x600";
# $depth sets the framebuffer color depth. Must be between 8 and 32.
# $pixelformat sets the default pixelformat.
# The default will be calculated if none of both is specified
# and when vncserver is called from within a running X servers.
# Can be changed at the command line with option -depth.
# A fixed default value will be used if vncserver is not
# invoked in a running X session.
# Example: $depth = "16";
$pixelformat = "rgb565";
# $getDefaultFrom sets the display from which you can query the default of
# the above three options, if you don't want to start vncserver
# from within a running X server. It will be added to the call
# of xdpyinfo.
# It is useful to get the default from the X server you will
# run xvncviewer in.
$getDefaultFrom = "-display localhost:2"
# $rfbwait sets the maximum time in msec to wait for vnc client viewer.
$rfbwait = "120000";
/etc/X11/Xsession
#!/bin/sh
#
# /etc/X11/Xsession
#
# global Xsession file -- used by display managers and xinit (startx)
# $Id: Xsession 1507M 2004-09-13 07:36:26Z (local) $
set -e
PROGNAME=Xsession
message () {
# pretty-print messages of arbitrary length; use xmessage if it
# is available and $DISPLAY is set
MESSAGE="$PROGNAME: $*"
echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2
if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
fi
}
message_nonl () {
# pretty-print messages of arbitrary length (no trailing newline); use
# xmessage if it is available and $DISPLAY is set
MESSAGE="$PROGNAME: $*"
echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2;
if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
fi
}
errormsg () {
# exit script with error
message "$*"
exit 1
}
internal_errormsg () {
# exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
# One big call to message() for the sake of xmessage; if we had two then
# the user would have dismissed the error we want reported before seeing the
# request to report it.
errormsg "$*" \
"Please report the installed version of the \"xfree86-common\"" \
"package and the complete text of this error message to" \
"<debian-x@lists.debian.org>."
}
run_parts () {
# until run-parts --noexec is implemented
if [ -z "$1" ]; then
internal_errormsg "run_parts() called without an argument."
fi
if [ ! -d "$1" ]; then
internal_errormsg "run_parts() called, but \"$1\" does not exist or is" \
"not a directory."
fi
for F in $(ls $1); do
if expr "$F" : '[[:alnum:]_-]\+$' > /dev/null 2>&1; then
if [ -f "$1/$F" ]; then
echo "$1/$F"
fi
fi
done
}
# initialize variables for use by all session scripts
OPTIONFILE=/etc/X11/Xsession.options
SYSRESOURCES=/etc/X11/Xresources
USRRESOURCES=$HOME/.Xresources
SYSSESSIONDIR=/etc/X11/Xsession.d
USERXSESSION=$HOME/.xsession
ALTUSERXSESSION=$HOME/.Xsession
ERRFILE=$HOME/.xsession-errors
# attempt to create an error file; abort if we cannot
if touch "$ERRFILE" 2> /dev/null && [ -w "$ERRFILE" ] &&
[ ! -L "$ERRFILE" ]; then
chmod 600 "$ERRFILE"
elif ERRFILE=$(tempfile 2> /dev/null); then
if ! ln -sf "$ERRFILE" "${TMPDIR:=/tmp}/xsession-$USER"; then
message "warning: unable to symlink \"$TMPDIR/xsession-$USER\" to" \
"\"$ERRFILE\"; look for session log/errors in" \
"\"$TMPDIR/xsession-$USER\"."
fi
else
errormsg "unable to create X session log/error file; aborting."
fi
exec >>"$ERRFILE" 2>&1
echo "$PROGNAME: X session started for $LOGNAME at $(date)"
# sanity check; is our session script directory present?
if [ ! -d "$SYSSESSIONDIR" ]; then
errormsg "no \"$SYSSESSIONDIR\" directory found; aborting."
fi
# Attempt to create a file of non-zero length in /tmp; a full filesystem can
# cause mysterious X session failures. We do not use touch, :, or test -w
# because they won't actually create a file with contents. We also let standard
# error from tempfile and echo go to the error file to aid the user in
# determining what went wrong.
WRITE_TEST=$(tempfile)
if ! echo "*" >>"$WRITE_TEST"; then
message "warning: unable to write to ${WRITE_TEST%/*}; X session may exit" \
"with an error"
fi
rm -f "$WRITE_TEST"
# use run-parts to source every file in the session directory; we source
# instead of executing so that the variables and functions defined above
# are available to the scripts, and so that they can pass variables to each
# other
SESSIONFILES=$(run_parts $SYSSESSIONDIR)
if [ -n "$SESSIONFILES" ]; then
for SESSIONFILE in $SESSIONFILES; do
. $SESSIONFILE
done
fi
exit 0
# vim:set ai et sts=2 sw=2 tw=80:
|
| |
|
|
Azollyx
|
#3 Message posté le : 19-06-2007 à 23:24:53 |
Hobbit
Forum : Modérateur
Association : Président
Arrivé(e) le : 09-04-2006
Nombre de messages : 1999
|
Si tu veux avoir ta session X en cours, essaye x11-vnc.
Pourrais-tu nous donner la sortie du vncserver ?
------------------------------------- Cherche distributeur manuel/automatique de câlins femelle pour mise en réseau rapprochée.
Nota : je préfèrerais un modèle bien documenté. |
| |
|
|
pingwin
|
#4 Message posté le : 20-06-2007 à 10:30:06 |
Petit scarabée
Forum : Inscrit
Association :
Arrivé(e) le : 15-06-2006
Nombre de messages : 60
|
Justement, je veux une session différente ( car pour la session existante, vino est bien configuré et fonctionne)
Lorsque j'éxecute vncserver:
xauth: error in locking authority file /home/andrea/.Xauthority
xauth: error in locking authority file /home/andrea/.Xauthority
Found /usr/share/vncserver for http connections.
New 'X' desktop is andrea-desktop:1
Starting applications specified in ~/.vnc/xstartup
Log file is /home/user/.vnc/user-desktop:1.log |
| |
|
|
Azollyx
|
#5 Message posté le : 20-06-2007 à 10:34:29 |
Hobbit
Forum : Modérateur
Association : Président
Arrivé(e) le : 09-04-2006
Nombre de messages : 1999
|
T'as quoi dans /etc/X11/xinit/xinitrc ?
------------------------------------- Cherche distributeur manuel/automatique de câlins femelle pour mise en réseau rapprochée.
Nota : je préfèrerais un modèle bien documenté. |
| |
|
|
pingwin
|
#6 Message posté le : 20-06-2007 à 10:36:05 |
Petit scarabée
Forum : Inscrit
Association :
Arrivé(e) le : 15-06-2006
Nombre de messages : 60
|
#!/bin/sh
# $Xorg: xinitrc.cpp,v 1.3 2000/08/17 19:54:30 cpqbld Exp $
# /etc/X11/xinit/xinitrc
#
# global xinitrc file, used by all X sessions started by xinit (startx)
# invoke global X session script
. /etc/X11/Xsession |
| |
|